/* $Header$ */

#ifndef TCLALLOC_H_INCLUDED
   #define TCLALLOC_H_INCLUDED

   #ifdef MODULE_TCLALLOC
      #define DECMOD_TCLALLOC
   #else
      #define DECMOD_TCLALLOC extern
   #endif

   DECMOD_TCLALLOC char *TclpAlloc(unsigned int nbytes);
   DECMOD_TCLALLOC void TclpFree(char *cp);
   DECMOD_TCLALLOC char *TclpCalloc(size_t num, size_t size);
   DECMOD_TCLALLOC char *TclpRealloc(char *cp, unsigned int nbytes);
   DECMOD_TCLALLOC const char *TclpCversion(void);
   DECMOD_TCLALLOC const char *TclpHversion(void);

   #define TCLALLOC_H_VERSION ("$Header$")

#endif

/* End of tclalloc.h */
